=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2006-02-22 23:02:29 +0000
+++ bzrlib/bzrdir.py	2006-03-01 03:26:23 +0000
@@ -37,7 +37,7 @@
                             sha_string,
                             )
 from bzrlib.store.text import TextStore
-from bzrlib.store.weave import WeaveStore
+from bzrlib.store.versioned.weave import WeaveStore
 from bzrlib.symbol_versioning import *
 from bzrlib.trace import mutter
 from bzrlib.transactions import PassThroughTransaction

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2006-02-28 08:27:59 +0000
+++ bzrlib/repository.py	2006-03-01 03:26:23 +0000
@@ -27,7 +27,7 @@
 from bzrlib.osutils import safe_unicode
 from bzrlib.revision import NULL_REVISION
 from bzrlib.store import copy_all
-from bzrlib.store.weave import WeaveStore
+from bzrlib.store.versioned.weave import WeaveStore
 from bzrlib.store.text import TextStore
 from bzrlib.symbol_versioning import *
 from bzrlib.trace import mutter

=== added directory 'bzrlib/store/versioned'
=== added file 'bzrlib/store/versioned/__init__.py'
--- bzrlib/store/versioned/__init__.py	1970-01-01 00:00:00 +0000
+++ bzrlib/store/versioned/__init__.py	2006-03-01 03:26:23 +0000
@@ -0,0 +1,25 @@
+# Copyright (C) 2006 by Canonical Ltd
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+
+"""Versioned stores store multiple editions or versions for each fileid.
+
+Each version is write-once but the physical mechanism is not required to 
+be write-once.
+"""
+
+
+from bzrlib.store.versioned.weave import WeaveStore

=== renamed file 'bzrlib/store/weave.py' => 'bzrlib/store/versioned/weave.py'
